General data types
Public interface » ID macros

General types used all over the library. More...

## Data Structures

struct | hd_id_t
| Holds ID + name pairs. More...
struct | s_str_list_t
| String list type. More...
struct | hd_bitmap_t
| Bitmap data type. More...

## Typedefs

typedef struct s_str_list_t | str_list_t
| String list type.

## Detailed Description

General types used all over the library.

## Typedef Documentation

## str_list_t

typedef struct s_str_list_t str_list_t

String list type.

Used whenever we create a list of strings (e.g. file read).